VST 3 SDK: Bus Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Bus Class Reference
VST Implementation Helper Classes

Basic Bus object. More...

`#include <vstbus.h>`

Inheritance diagram for Bus:

## Public Member Functions
| Bus (const TChar *name, BusType busType, int32 flags)
| Constructor.
TBool | isActive () const
| Returns true if the bus is active.
void | setActive (TBool state)
| Activates the bus.
void | setName (String newName)
| Sets a new name for this bus.
void | setBusType (BusType newBusType)
| Sets a new busType for this bus.
void | setFlags (uint32 newFlags)
| Sets a new flags for this bus.
virtual bool | getInfo (BusInfo &)
| Gets the BusInfo of this bus.

## Public Attributes
OBJ_METHODS(Vst::Bus, FObject) protected BusType | busType
| < name
int32 | flags
| flags, see BusInfo::BusFlags
TBool | active
| activation state

## Detailed Description

Basic Bus object.

## Constructor & Destructor Documentation

Bus | ( | const TChar * | name,
|  | BusType | busType,
|  | int32 | flags
| ) |  |

Constructor.

## Member Function Documentation

TBool isActive | ( |  | ) | const
| inline

Returns true if the bus is active.

void setActive | ( | TBool | state | ) |
| inline

Activates the bus.

void setName | ( | String | newName | ) |
| inline

Sets a new name for this bus.

void setBusType | ( | BusType | newBusType | ) |
| inline

Sets a new busType for this bus.

void setFlags | ( | uint32 | newFlags | ) |
| inline

Sets a new flags for this bus.

bool getInfo | ( | BusInfo & | info | ) |
| virtual

Gets the BusInfo of this bus.

Reimplemented in AudioBus, and EventBus.

## Member Data Documentation

OBJ_METHODS (Vst::Bus, FObject) protected BusType busType

< name

kMain or kAux, see BusTypes

int32 flags

flags, see BusInfo::BusFlags

TBool active

activation state

Empty

Copyright ©2022 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.